POST
/v1/mgmt/fga/schema/dryrun

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

dsl?string

Preview schema diff between existing and new schema, without saving it.

curl -X POST "https://api.descope.com/v1/mgmt/fga/schema/dryrun" \  -H "Content-Type: application/json" \  -d '{}'
{  "deletesPreview": {    "hasDeletes": true,    "relations": [      "string"    ],    "types": [      "string"    ],    "deletedTupleCount": 0,    "tupleCountCapped": true  }}
export interface Response {deletesPreview?: SaveSchemaDryDeletes}export interface SaveSchemaDryDeletes {hasDeletes?: booleanrelations?: string[]types?: string[]/** * Number of relation tuples that would be deleted for the dropped relations/types (clamped to the cap) */deletedTupleCount?: number/** * True when the real count reached/exceeded the cap; deletedTupleCount then holds the cap */tupleCountCapped?: boolean}
Was this helpful?